/*
	Versions:
	1 = 3.5
	2 = 3.5.1
	3 = 3.6
	4 = 4.2
	5 = 5.2
*/
{
	pluginVersion = 5;
	OS_Versions = (
			   "10.8",	// _1_or_newer
			   "10.12"	// _2_or_newer
			   );
	pasteDelayFactor = 1.0;
	
	pasteFileDelay = 0.25;
	
/*
	bsPreMinDelay = 0.14;
	bsInterMinDelay = 0.1;
	bsPostMinDelay = 0.24;
*/

/*
	tabKey = "";
	returnKey = "";
	beforeDirectPrefixDelay = 0.0;
	afterDirectPrefixDelay = 0.0;
*/
	
default = {
	directString = 200;
	directEOL = LF; // was CR
	directTab = yes;
	directBeforePlainPaste = no;
	splitDirectSpaces = no;
	pastePictureFile = no;
	formattedHTML = no;
	pastePlainTextView = yes;
	pasteFormattedTextView = yes;
	forcePlainText = no;
	backspace = no;
	backspace_2_or_newer = yes;
	bsPreDelay = 0.0; //0.04;
	bsInterDelay = 0.001;
	bsPostDelay = 0.04;
	optimizeExpansion = "all";
	pasteViaMenu = no;
	controlV = no;
	contextSwitch = no;
	axContextCheck = yes;
	waitEvent = yes;
	wordJump = no;
	lineJump = no;
	paraJump = no;
	wordPart = "";
	jumpStop = "";
	cocoaText = no;
	cocoaTextNoStop = "";
	specialNumParts = no;
	quoteInWord = no;
	restoreFactor = 1.0;
	extraRestoreDelay = 0.0;
	cgEventDelay = 0.0;
	backspaceDelay = 0.0; // 0.02;
	directStringDelay = 0.01; // 0.01;
	pasteDelay = 0.01;
	afterPasteDelay = 0.1;
	moveDelay = 0.0;
	terminatorDelay = 0.01;
	lastSpecial = no;
	selectLast = no;
};
	Cocoa = {
		directString = 200;
		directEOL = LF; // was CR
		directTab = yes;
		directBeforePlainPaste = no;
		directException = "/--/\"/\'/";
		splitDirectSpaces = no;
		pastePictureFile = no;
		formattedHTML = no;
		pastePlainTextView = yes;
		pasteFormattedTextView = yes;
		forcePlainText = no;
		backspace = no;
		backspace_2_or_newer = yes;
		bsPreDelay = 0.0; // 0.04;
		bsInterDelay = 0.001;
		bsPostDelay = 0.04;
		optimizeExpansion = "all";
		pasteViaMenu = no;
		controlV = no;
		contextSwitch = no;
		axContextCheck = yes;
		waitEvent = yes;
		wordJump = yes;
		lineJump = no;
		paraJump = no;
		wordPart = "_";
		cocoaText = yes;
		cocoaTextNoStop = "";
		jumpStop = "=+<>$`|™®©°^"; //"=+<>§$`|™®©°^";
		jumpStop_1_or_newer = "=+<>$`|™®©°^"; // without paragraph sign
		jumpStopRanges =
		(8592, 9215, // Arrows — OCR
		 9472, 9727 // Box Drawing — Misc. Symbols and Arrows
		 );
		specialNumParts = yes;
		quoteInWord = yes;
		restoreFactor = 1.0;
		extraRestoreDelay = 0.0;
		backspaceDelay = 0.0; // 0.02;
		directStringDelay = 0.01; // 0.01;
		cgEventDelay = 0.0;
		pasteDelay = 0.01;
		afterPasteDelay = 0.1;
		moveDelay = 0.0;
		terminatorDelay = 0.01;
		lastSpecial = no;
		selectLast = no;
	};
	safeInputSources = (
				  "Spell Catcher", "Spell Catcher Unicode", "Romaji", "English",
				  "Alphanumeric (Google)", "Full-width Alphanumeric (Google)",
				  "Hiragana (Google)", "Katakana (Google)", "Half-width Katakana (Google)",
				  "Pinyin - Simplified", "Pinyin - Traditional",
				  "Shuangpin - Simplified", "Shuangpin - Traditional",
				  "百度拼音", "百度五笔", // Baidu Pinyin
				  "搜狗拼音", // Sogou
				  "手心拼音", // Shouxin - New
				  "清歌输入法", // Qingg
				  "英字（かわせみ3）", // Alphabet (Kingfisher3)
				  "ひらがな（かわせみ3）", // Hiragana (Kingfisher3)
				  "カタカナ（かわせみ3）", // Katakana (Kingfisher3)
				  "全角英字（かわせみ3）", // Double-byte English characters (Kingfisher3)
				  "半角カタカナ（かわせみ3）", // Half-width Katakana (Kingfisher3)
				  "半角英字（かわせみ3）", // Half-width alphabet (Kingfisher3)
				  "文字コード（かわせみ3）", // Character code (Kingfisher3)
				  "落格输入法 3", // Loginput
				  // "Squirrel", // RIME
				  "*（ATOK）"
				  // "2-Set Korean", "3-Set Korean", "390 Sebulshik", "GongjinCheong Romaja", "HNC Romaja"
			);

/*
			1. 英字（かわせみ3）
		   2. ひらがな（かわせみ3）
		   3. カタカナ（かわせみ3）
		   4. 全角英字（かわせみ3）
		   5. 半角カタカナ（かわせみ3）
		   6. 半角英字（かわせみ3）
		   7. 文字コード（かわせみ3）

		   1. Alphabet (Kingfisher 3)
		   2. Hiragana (Kingfisher 3)
		   3. Katakana (Kingfisher 3)
		   4. Double-byte English characters (Kingfisher 3)
		   5. Half-width Katakana (Kingfisher 3)
		   6. Half-width alphabet (Kingfisher 3)
		   7. Character code (Kingfisher 3)
		   
*/
			
			
	unsafeInputSources = (
				  "Boshiamy"
		);
	OLYX = { // LyX
		directString = 0;
	};
	xcde = { // Xcode up to 3.x
		directString = 100;
		directEOL = "";
		directTab = no;
		wordJump = no;
		quoteInWord = no;
		lineJump = yes;
	};
	"com.apple.dt.Xcode" = { // Xcode 4.x
		directString = 100;
		directEOL = "";
		directTab = no;
		splitDirectSpaces = yes;
		wordJump = no;
		quoteInWord = no;
		lineJump = yes;
	};
	wrbt = { // iCal, Calendar
		directEOL = "";
		directTab = no;
	};
	iweb = { // iWeb
		directTab = no;
	};
	"com.apple.Terminal" = { // Terminal (trmx)
		backspace = yes;
		wordJump = no;
	};
	XCEL = { // Microsoft Excel
		directString = 40;
		directEOL = "";
		directTab = no;
		backspace = yes;
		restoreFactor = 8.0;
	};
	PPT3 = ( // Microsoft PowerPoint
		{
			version = 16; // PowerPoint 2021
			directString = 0;
			restoreFactor = 8.0;
			pasteDelay = 0.1;
		},
		{
			version = 12; // PowerPoint 2008
			directEOL = "";
			directTab = no;
			restoreFactor = 8.0;
			pasteDelay = 0.1;
		},
		{
			version = 11; // PowerPoint 2004
			directString = 0;
			restoreFactor = 8.0;
			pasteDelay = 0.1;
		}
		);
	KASX = { // Panorama
		backspace = yes;
	};
	GoMk = { // Adobe GoLive
		backspace = yes;
	};
	MOZC = { // Camino
		directEOL = "";
		wordJump = no;
	};
	"NO%F" = { // NeoOffice
		backspace = yes;
		contextSwitch = no;
		restoreFactor = 4.0;
		directString = 0;
	};
	"OOo2" = { // OpenOffice
		backspace = yes;
		contextSwitch = yes;
		restoreFactor = 8.0;
	};
	"C#+A" = { // RagTime
		backspace = yes;
	};
	BOBO = { // AppleWorks
		backspace = yes;
	};
	"com.apple.x11" = { // X11
		backspace = yes;
		contextSwitch = yes;
	};
	"org.x.X11" = { // X11
		backspace = yes;
		contextSwitch = yes;
	};
	x11a = { // X11
		backspace = yes;
		contextSwitch = yes;
	};
	ITRM = { // iTerm
		backspace = yes;
		wordJump = no;
	};
	MFL2 = { // Flash
		backspace = yes;
	};
	java = { // Lotus Notes (process name)
		backspace = yes;
	};
	InDn = { // InDesign
		waitEvent = no;
		backspace = yes;
		directString = 0;
		restoreFactor = 8.0;
		extraRestoreDelay = 0.3; // in addition to the global default of 0.2
		moveDelay = 0.15;
		optimizeExpansion = "special";
	};
	XPR3 = { //QuarkXPress
		contextSwitch = yes;
	};
	"Java.Zend Studio" = { // ZDE = Zend Studio
		contextSwitch = yes;
	};
	"com.secondlife.indra.viewer" = { // Second Life
		backspace = yes;
	};
	"mcp " = { // Apple Remote Desktop
		disabled = yes;
	};
	RDCI = { // MS Remote Desktop Connection 1.x
		disabled = yes;
	};
	MSRD = { // MS Remote Desktop Connection 2.0
		disabled = yes;
	};
	"com.apple.ScreenSharing" = { // ScreenSharing
		disabled = yes;
	};
	VBVM = { // VirtualBoxVM
		disabled = yes;
	};
	sCsT = { // ScreenSteps
		backspace = yes;
		directString = 0;
	};
	"com.wolfram.Mathematica" = { // Mathematica
		backspace = yes;
		restoreFactor = 2.0;
	};
	BluJ = { // BlueJ
		restoreFactor = 1.0;
		contextSwitch = yes;
	};
	BERB = { // Bookends
		backspace = yes;
	};
	"Java.NetBeans" = { // NetBeans
		contextSwitch = yes;
	};
	"org.netbeans.ide" = { // NetBeans >= 6.5
		contextSwitch = yes;
	};
	ODCP = { // Contactizer Pro
		backspace = yes;
	};
	CARO = { // Adobe Acrobat
		backspace = yes;
	};
	mSb1 = { // InqScribe
		contextSwitch = yes;
	};
	LAAP = { // LinkAssistant
		directEOL = "";
	};
	RTAP = { // Rank Tracker
		directEOL = "";
	};
	SGAP = { // SEO SpyGlass
		directEOL = "";
	};
	WAAP = { // WebSite Auditor
		directEOL = "";
	};
	Bltz = { // BlitzMail
		directString = 0;
	};
	"com.fluidapp.FluidInstance.*" = { // Site-specific browser created with Fluid (original) [Web Browser]
		directString = 0;
		backspace = yes;
		optimizeExpansion = "special";
	};
	MaPl = { // Mailplane
		directEOL = LF;
	};
	OPRA = { // Opera
		directString = 0;
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
	};
	INTU = { // Quicken
		backspace = yes;
	};
	"C#+A" = { // RagTime
		directString = 0;
		backspace = yes;
	};
	TxMt = { // TextMate
		waitEvent = no;
		wordJump = no;
		lineJump = yes;
		directString = 100;
		directEOL = "";
		directTab = no;
	};
	kFlG = { // Ecto 2.x
		directString = 0;
	};
	eCtO = { // Ecto 3.x
		directString = 0;
	};
	"MYO+" = { // MYOB AccountEdge
		backspace = yes;
	};
	ESTK = { // Adobe ExtendScript Toolkit
		directString = 0;
		backspace = yes;
		wordJump = no;
		lineJump = yes;
	};
	"WoW!" = { // World of Warcraft
		backspace = yes;
	};
	PaPy = { // Papyrus
		directString = 0;
	};
	P4VC = { // Perforce visual client (P4V)
		directString = 0;
	};
	TA01 = { // TeamAgenda
		directString = 0;
	};
	MMBB = { // Mariner Write
		directString = 0;
	};
	ALFA = { // AlphaX
		directString = 0;
	};
	"RDC#" = { // CoRD, Cocoa Remote Desktop
		disabled = yes;
	};
	MOZZ = { // SeaMonkey
		directString = 0;
	};
	"com.vmware.proxyApp.*" = { // VMWare Fusion proxy
		disabled = yes;
	};
	Hdra = { //  SubEthaEdit
		directEOL = LF;
	};
	wbkt = { // WebKit
		backspace = yes;
		directString = 0;
	};
	Cere = { // Tinderbox
		directString = 0;
	};
	aMSN = { // aMSN
		backspace = yes;
		directString = 0;
	};
	k4mc = { // Kindle for Mac
		directString = 0;
	};
	hook = { // iTunes (for iTunes 10 and newer)
		backspace = yes;
		wordJump = no;
		directString = 0;
	};
	com.netopia.timbuktu.pro = { // Timbuktu
		disabled = yes;
	};
	EMAx = { // Emacs
		backspace = yes;
	};
	FH11 = { // FreeHand 11
		backspace = yes;
	};
	"org.etpan.sparrow" = { // Sparrow
		directString = 0;
	};
	"com.sparrowmailapp.sparrow" = { // Sparrow 1.0bx
		directString = 0;
	};
	"com.sparrowmailapp.sparrowappcast" = { // Sparrow 1.2
		directString = 0;
	};
	Sigl = { // Sigil
		directString = 0;
	};
	"com.yourcompany.FocusWriter" = { // FocusWriter
		directString = 0;
	};
	"org.tug.texworks" = { // TeXworks
		directString = 0;
	};
	"com.panic.Coda" = { // Coda
		directString = 0;
		wordJump = no;
		optimizeExpansion = "special";
	};
	"com.panic.Coda2" = { // Coda
		directString = 0;
		wordJump = no;
		optimizeExpansion = "special";
	};
	Espr = { // Espresso
		directString = 0;
	};
	iGem = { // MessengerPro
		directString = 0;
	};
	LTXt = { // LaTeXiT
		wordJump = no;
	};
	iCAB = { // iCab
		directEOL = "";
	};
	MEbl = { // MarsEdit
		wordJump = no;
	};
	"8BIM" = { // Photoshop
		directString = 0;
		waitEvent = no;
	};
	SMUL = { // Unitron
		directString = 0;
	};
	"org.editra.Editra" = { // Editra
		directString = 0;
	};
	GIR6 = { // MacGiro
		backspace = yes;
	};
	rmRM = { // RockMelt
		directString = 0;
	};
	nimb = { // Nimbuzz
		directString = 0;
	};
	UEXP = { // UltraEdit
		directString = 0;
	};
	VW14 = { // Vectorworks
		backspace = yes;
	};
	Erth = { // Google Earth
		directString = 0;
	};
	texmaker = { // Texmaker
		directString = 0;
	};
	PFdR = { // Path Finder
		backspace = yes;
		wordJump = no;
	};
	APTS = { // Aptana Studio
		backspace = yes;
		directString = 0;
	};
	"/Paypen*" = { // "Paypen" ; doesn't have signature or identifier
		uninstall = yes;
	};
	"TweetDeckFast.*" = { // TweetDeck
		directString = 0;
	};
	EdDi = { // Eddie
		directString = 0;
	};
	DADX = { // Canvas X
		backspace = yes;
	};
	CSOm = { // Eudora 6
		directString = 0;
		backspace = yes;
	};
	se.bzero.Vico = { // Vico
		backspace = yes;
	};
	"org.gottcode.FocusWriter" = { // FocusWriter
		directString = 0;
	};
	// --- new in 5.0 ---
	SntE = { // Sente
		backspace = yes;
	};
	avin = { // TextMate 2
		waitEvent = no;
		wordJump = no;
		lineJump = yes;
		directString = 100;
		directEOL = "";
		directTab = no;
	};
	// --- new in 5.1 ---
	OSCR = { // Scribus
		directString = 0;
	};
	DmWr = ( // Dreamweaver
		  {
		  version = 12; // CS6
		  backspace = yes;
		  directString = 0;
		  },
		  {
		  version = 1; // all older versions
		  backspace = yes;
		  }
		  );
	// --- new in 5.2 ---
	"com.postbox-inc.postbox-OBSOLETE" = { // Postbox
		directEOL = "";
		pasteFormattedTextView = no;
		formattedHTML = yes;
		waitEvent = no;
	};
	ttxt = { // TextEdit
		lineJump = yes;
		paraJump = yes;
		pastePictureFile = yes;
	};
	NMBR = { // Numbers
		directStringDelay = 0.02;
		directTab = no;
		directBeforePlainPaste = yes;
		beforeDirectPrefixDelay = 0.1;
		afterDirectPrefixDelay = 0.1;
		tabKey = "key#48A";
		backspace = yes;
		wordJump = no;
		pastePictureFile = yes;
		waitEvent = yes;
	};
	keyn = { // Keynote
		directStringDelay = 0.02;
		directEOL = "";
		directTab = no;
		directBeforePlainPaste = yes;
		beforeDirectPrefixDelay = 0.1;
		afterDirectPrefixDelay = 0.1;
		tabKey = "key#48A";
		returnKey = "key#36S";
		waitEvent = yes;
	};
	ART5 = { // Adobe Illustrator
		waitEvent = no;
	};
	net.java.openjdk.cmd = { // CafeTran
		directEOL = "";
		pasteViaMenu = yes;
	};
	// --- new in 5.3 ---
	MYOP = { // AccountEdge Pro
		backspace = yes;
	};
	asDB = { // Script Debugger
		directString = 0;
		lineJump = yes;
		paraJump = yes;
	};
	"R*ch" = { // BBEdit
		directString = 0;
		wordJump = no;
		lineJump = yes;
	};
	"com.intuit.QuickenEssentials" = { // Quicken Essentials
		waitEvent = no;
	};
	// --- new in 5.4 ---
	"com.adobe.photoshop.droplet" = { // Photoshop CS6 droplet
		waitEvent = no;
	};
	"4D06" = { // 4th Dimension
		directString = 0;
		backspace = yes;
	};
	"4D+6" = { // 4D Client
		directString = 0;
		backspace = yes;
	};
	"com.secondlife.indra.viewer" = { // Firestorm
		axContextCheck = no;
	};
	// --- new in 5.5 ---
	"com.stainlessapp.StainlessClient" = { // Stainless
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		backspace = yes;
		pasteDelay = 0.1;
	};
	OWEB = { // OmniWeb [Web Browser]
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		backspace = yes;
		pasteDelay = 0.1;
		optimizeExpansion = "special";
	};
	MOZM = { // Thunderbird, Eudora 8
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directEOL = "";
		pastePlainTextView = no;
		pasteFormattedTextView = no;
		formattedHTML = yes;
	};
	"!Rch" = { // TextWrangler
		directString = 100;
		directEOL = "";
		wordJump = no;
		lineJump = yes;
	};
	SIBE = { // Sibelius
		directString = 0;
	};
	page = { // Pages
		lineJump = yes;
		paraJump = yes;
		directStringDelay = 0.02;
		directBeforePlainPaste = yes;
		pastePictureFile = yes;
		waitEvent = yes;
	};
	Scrv = { // Scrivener
		lineJump = yes;
		paraJump = yes;
	};
	// --- new in 5.6 ---
	iSPX = { // iStudio Publisher
		contextSwitch = yes;
		directString = 50;
		directEOL = "";
	};
	emal = ( // Mail
		  {
		  version = 6; // Mountain Lion or newer
		  keyBeforeBS = 18; // 18="1", 49=space
		  cocoaText = no;
		  wordJump = no;
		  lineJump = yes;
		  paraJump = yes;
		  
		  pastePictureFile = yes;
		  lastSpecial = no;
		  backspace = no;
		  backspace_2_or_newer = yes;
		  optimizeExpansion = "special";
		  directEOL = LF;
		  directTab = no;
		  directException = "/--/\"/\'/--/";
		  trailingEOL = LF;
		  pasteDelay = 0.1; // V8.7
		  },
		  {
		  version = 4; // Snow Leopard
		  pastePictureFile = yes;
		  lastSpecial = no;
		  backspace = no;
		  directEOL = LF;
		  directTab = no;
		  },
		  {
		  version = 3; // Leopard
		  lastSpecial = yes;
		  backspace = yes;
		  directEOL = LF;
		  directTab = no;
		  },
		  {
		  version = 2; // Tiger
		  lastSpecial = no;
		  backspace = yes;
		  }
		  );
	FCic = { // FirstClass
		backspace = yes;
		directString = 0;
		backspaceDelay = 0.05;
		pasteDelay = 0.05;
		afterPasteDelay = 0.05;
	};
	xmmd = { // MonoDevelop
		directString = 0;
	};
	// new in 5.7
	RSQL = { // RazorSQL cons
		directString = 0;
	};
	// new in 5.7
	nOTE = { // Lotus Notes
		backspace = yes;
		directEOL = "";
	};
	Revo = { // LiveCode Revolution runtime
		backspace = yes;
		directEOL = "";
	};
	Cmlt = { // PowerMail
		directEOL = "";
	};
	// new in 5.8
	"com.trolltech.Linguist" = { // Linguist
		directString = 0;
	};
	TS7a = { // TextSoap
		lineJump = yes;
	};
	"com.phoenixviewer.firestorm.*" = { // Firestorm
		directEOL = "";
		axContextCheck = no;
		backspace = yes;
		directString = 1000;
		forcePlainText = yes;
	};
	"org.eclipse.eclipse" = { // Eclipse
		directString = 100;
		directEOL = "";
		directTab = no;
		wordJump = no;
		lineJump = yes;
	};
	// new in 5.9
	"com.vandyke.SecureCRT" = { // SecureCRT
		directString = 0;
		backspace = yes;
	};
	"net.ichi2.anki" = { // Anki
		directString = 0;
	};
	fstp = { // Aperture
		backspace = yes;
	};
	GIR7 = { // MacGiro
		backspace = yes;
	};
	GIR8 = { // MacGiro
		backspace = yes;
	};
	// new in 6.0
	"com.adobe.EdgeCode" = { // Adobe EdgeCode
		backspace = yes;
	};
	KOMO = { // Komodo IDE and Komodo Edit
		directString = 0;
		wordJump = no;
		lineJump = yes;
	};
	"com.qoppa.PDFStudio" = { // PDF Studio 9
		forcePlainText = yes;
		directEOL = "";
	};
	"com.vmware.fusion" = { // VMWare Fusion
		disabled = yes;
	};
	"com.google.android.studio" = { // Android Studio
		directEOL = "";
		contextSwitch = yes;
	};
	// new in 6.2
	"com.microsoft.rdc.mac" = { // Microsoft Remote Desktop 8
		disabled = yes;
	};
	// new in 6.5
	"com.fluidapp.FluidApp.*" = { // Site-specific browser created with Fluid (new version) [Web Browser]
		directString = 0;
		backspace = yes;
		terminatorDelay = 0.02;
		pasteDelay = 0.1;
		moveDelay = 0.1;
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		optimizeExpansion = "special";
	};
	// new in 6.6
	CP7D = { // 4th Dimension Client
		directString = 0;
		backspace = yes;
	};
	"com.4D.*" = { // 4th Dimension Client (example: com.4D.4DRuntimeVolumeLicense)
		directString = 0;
		backspace = yes;
	};
	"4d.com.*" = { // 4th Dimension Server (example: 4d.com.AV 2013_221 Server.app)
		directString = 0;
		backspace = yes;
	};
	MATL = { // Matlab
		directEOL = "";
	};
	// new in 6.7
	copE = { // Copy (for entering login data)
		directString = 0;
	};
	"com.zhulq.chatforfacebook" = { // Messenger for Facebook
		directString = 0;
	};
	"com.jetbrains.PhpStorm" = { // PhpStorm -- by JetBrains
		backspace = yes;
		directEOL = "";
		directStringDelay = 0.1;
		contextSwitch = yes;
	};
	// new in 6.8
	"com.Desk.*" = { // Desk PM, etc.
		directString = 0;
	};
	"com.taskfabric.Organize" = { // OrganizePro
		backspace = yes;
	};
	"com.github.atom" = { // Atom
		cocoaText = no;
		wordJump = no;
	};
	"io.brackets.appshell" = { // Brackets
		cocoaText = no;
		wordJump = no;
	};
	// new in 6.9
	"com.rootsmagic.rootsmagic" = { // RootsMagic
		directString = 0;
	};
	"/wineloader*" = { // Wine doesn't have signature or identifier
		directString = 0;
	};
	"com.mediaatelier.DynaMite" = { // DynaMite
		directString = 0;
	};
	subl = { // Sublime Text 2/3
		directString = 0;
		directEOL = "";
		lineJump = no;
		wordJump = no;
	};
	// new in 6.10
	FADE = { // Fade In
		backspace = yes;
		directString = 0;
		pasteDelay = 0.1;
	};
	"com.acdsystems.Canvas-Draw3" = { // Canvas Draw
		backspace = yes;
	};
	NISX = { // Nisus Writer Pro
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		paraJump = yes;
		directEOL = LF;
		jumpStop = "§"; // without "=+<>|$`"
		optimizeExpansion = "special";
		cgEventDelay = 0.01;
		commandKeyAfterPaste = yes;
	};
	"com.jetbrains.*" = { // IntelliJ -- by JetBrains
		backspace = yes;
		directString = 0;
		directEOL = "";
		contextSwitch = yes;
		pasteDelay = 0.1;
		afterPasteDelay = 0.1;
	};
	"com.Canopy" = { // Canopy
		directString = 0;
	};
	// new in 6.11
	VIMM = { // MacVim
		backspace = yes;
		wordJump = no;
		escClears = no;
	};
	"com.microsoft.rdc.*" = { // Microsoft Remote Desktop, including beta versions like com.microsoft.rdc.osx.beta
		disabled = yes;
	};
	"com.jetbrains.rubymine" = { // RubyMine -- by JetBrains
		backspace = yes;
		directString = 0;
		pasteDelay = 0.2;
	};
	"com.jetbrains.AppCode" = { // AppCode -- by JetBrains
		backspace = yes;
		directString = 0;
	};
	"java.MPS" = { // MPS -- by JetBrains
		backspace = yes;
		directString = 0;
	};
	"com.jetbrains.WebStorm" = { // WebStorm -- by JetBrains
		backspace = yes;
		directEOL = "";
		directStringDelay = 0.1;
		contextSwitch = yes;
	};
	"com.jetbrains.pycharm" = { // PyCharm -- by JetBrains
		backspace = yes;
		directEOL = "";
		directStringDelay = 0.1;
		contextSwitch = yes;
	};
	mLeL = { // Mellel
		backspace = yes;
		cocoaText = no;
		wordJump = no;
		paraJump = yes;
	};
	"com.OakTree.Accordance" = { // Accordance
		backspace = yes;
	};
	MSWD = { // Microsoft Word
		directEOL = "";
		directTab = no;
		directBeforePlainPaste = yes;
		backspace = yes;
		restoreFactor = 4.0; // 8.0;
		optimizeExpansion = "special";
		wordJump = no;
		// afterPasteDelay = 1.0;
		keyStringDelay1 = "$(wordDelay1)(0.0)"; // use wordDelay1 instead of the global keyStringDelay1
		keyStringDelay2 = "$(wordDelay2)(0.0)"; // use wordDelay2 instead of the global keyStringDelay2
		keyStringDelayEnd = "$(wordDelayEnd)(0.0)"; // use wordDelayEnd instead of the global keyStringDelayEnd
		bsPreDelay = "$(wordDelayBS1)(0.0)";
		bsPostDelay = "$(wordDelayBS2)(0.04)";
		pasteDelay = "$(wordDelayCV1)(0.01)";
		afterPasteDelay = "$(wordDelayCV2)(0.1)";
	};
	"com.realvnc.vncviewer" = { // RealVNC VNC Viewer
		disabled = yes;
	};
	"com.lemonmojo.RoyalTSX.App" = ( // Royal TSX
						  {
						  version = 3;
						  backspace = yes;
						  directString = 0;
						  pasteViaMenu = yes;
						  },
						  {
						  version = 1;
						  disabled = yes;
						  }
						  );
	EVRN = { // Evernote
		backspace = yes;
		directEOL = "";
		wordJump = no;
		paraJump = yes;
	};
	// new in 7.1
	TBB6 = { // Tex-Edit Plus
		directString = 0;
		optimizeExpansion = "special";
	};
	MlMt = { // MailMate
		directString = 0;
	};
	LibO = { // LibreOffice
		backspace = yes;
		keyBeforeBS = 18; // "1"
		directEOL = "";
		cocoaText = no;
		wordJump = no;
		restoreFactor = 8.0;
		contextSwitch = yes;
	};
	"com.logmein.ignition" = { // LogMeIn Client
		disabled = yes;
	};
	FDR2 = { // Final Draft
		directString = 0;
		optimizeExpansion = "special";
	};
	sfri = { // Safari [Web Browser]
		backspace = yes;
		useBsDelay = yes; // before Sierra
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
						{
						"focused element role IS" = "AXTextArea";
						"focused window IS" = "*Twitter";
						value = 0.1;
						}
						);
		
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		terminatorDelay = 0.02;
		pasteDelay = 0.1;
		moveDelay = 0.1;
		optimizeExpansion = "special";
		extraRestoreDelay = 0.25;
	};
	stp1 = { // Safari Technology Preview [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
						{
						"focused element role IS" = "AXTextArea";
						"focused window IS" = "*Twitter";
						value = 0.1;
						}
						);
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		terminatorDelay = 0.02;
		pasteDelay = 0.1;
		moveDelay = 0.1;
		optimizeExpansion = "special";
		extraRestoreDelay = 0.25;
	};
	rimZ = { // Google Chrome [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
						{
						"focused element role IS" = "AXWindow";
						"focused window IS" = "*Twitter";
						value = 0.1;
						}
						);
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		moveDelay = 0.2;
		pasteDelay = 0.1;
		terminatorDelay = 0.1;
		extraRestoreDelay = 0.25;
		optimizeExpansion = "special";
	};
	"org.chromium.Chromium" = { // Chromium [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
						{
						"focused element role IS" = "AXWindow";
						"focused window IS" = "*Twitter";
						value = 0.1;
						}
						);
		directString = 0;
		extraRestoreDelay = 0.25;
		optimizeExpansion = "special";
	};
	Pipi = { // Google Chrome Canary [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
						{
						"focused element role IS" = "AXWindow";
						"focused window IS" = "*Twitter";
						value = 0.1;
						}
						);
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		moveDelay = 0.2;
		pasteDelay = 0.1;
		terminatorDelay = 0.1;
		extraRestoreDelay = 0.25;
		optimizeExpansion = "special";
	};
	MOZB = { // Firefox [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
						{
						"focused window IS" = "*Twitter";
						value = 0.1;
						}
						);
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		pasteDelay = 0.1;
		moveDelay = 0.1;
		optimizeExpansion = "special";
		extraRestoreDelay = 0.5;
	};
	// new in 7.3
	OPIM = ( // Entourage / Outlook
		  {
		  version = 15; // Outlook 2016
		  directTab = no;
		  directEOL = "";
		  restoreFactor = 8.0;
		  // restoreClipboard = no;
		  backspace = yes;
		  cocoaTextNoStop = "+";
		  optimizeExpansion = "special";
		  wordJump = no;
		  lineJump = yes;
		  paraJump = yes;
		  },
		  {
		  version = 14; // Outlook 2011
		  directTab = no;
		  directEOL = "";
		  restoreFactor = 8.0;
		  backspace = yes;
		  cocoaTextNoStop = "+";
		  optimizeExpansion = "special";
		  },
		  {
		  version = 11;
		  directTab = no;
		  directEOL = "";
		  restoreFactor = 8.0;
		  },
		  {
		  version = 10;
		  directTab = no;
		  directEOL = "";
		  restoreFactor = 8.0;
		  }
	);
	"OO$$" = { // Omnis Studio
		directString = 0;
	};
	"com.cockos.reaper" = { // Reaper
		bsInterDelay = 0.02;
	};
	ONMC = { // Microsoft OneNote
		backspace = yes;
		directEOL = "";
		afterPasteDelay = 0.5;
	};
	"com.microsoft.VSCode" = { // Visual Studio Code
		backspace = yes;
		directString = 0;
		wordJump = no;
		lineJump = yes;
		upRightAcrossLineBreak = yes;
		cocoaText = no;
		moveInterDelay = 0.01; // 0.001
		//moveBlockDelay = 0.01; // 0.01
		//moveBlockSize = 100; // 100
	};
	"com.apple.apple-rep-apple_gsx" = { // Bomgar Representative Console
		directString = 0;
	};
	"com.foldingtext.paddle.FoldingText" = { // FoldingText
		directString = 0;
	};
	"com.realartists.Ship2" = {
		wordJump = no;
		lineJump = yes;
	};
	// new in 7.4
	"com.atlassian.trello" = { // Trello
		wordJump = no;
	};
	// new in 7.5
	"SoftMaker.*" = { // TextMaker, PlanMaker, Presentations
		directString = 0;
	};
	"desktop.WhatsApp" = { // WhatsApp Desktop
		directString = 0;
	};
	// new in 7.6
	"WhatsApp" = { // WhatsApp w/o desktop
		directString = 0;
	};
	"com.rockysandstudio.app-for-whatsapp" = { // FreeChat
		directString = 0;
	};
	org.rstudio.RStudio = { // RStudio
		directString = 0;
		wordJump = no;
	};
	"it.bloop.airmail.*" = { // AirMail Beta
		directEOL = "";
		wordJump = no;
	};
	"it.bloop.airmail" = { // AirMail
		directEOL = "";
		wordJump = no;
	};
	// new in 7.6
	PTul = { // Pro Tools; com.avid.ProTools
		directString = 0;
	};
	// new in 7.7.1 -- or 7.8
	Vivl = { // Vivaldi web browser; com.vivaldi.Vivaldi [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = ( // not verified yet
		{
			"focused element role IS" = "AXWindow";
			"focused window IS" = "*Twitter";
			value = 0.1;
		}
		);
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		terminatorDelay = 0.02;
		pasteDelay = 0.1;
		moveDelay = 0.1;
		optimizeExpansion = "special";
		extraRestoreDelay = 0.25;
	};
	"com.microsoft.rdc.macos" = { // Microsoft Remote Desktop 10
		disabled = yes;
	};
	Mx88 = { // Maxthon web browser; com.maxthon.mac.Maxthon [Web Browser]
		backspace = yes;
		useBsDelay = yes; // before Sierra
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
		{
			"focused element role IS" = "AXTextArea";
			"focused window IS" = "*Twitter";
			value = 0.1;
		}
		);
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		terminatorDelay = 0.02;
		pasteDelay = 0.1;
		moveDelay = 0.1;
		optimizeExpansion = "special";
		extraRestoreDelay = 0.25;
	};
	// new in 7.9
	"com.tinyspeck.slackmacgap" = { // Slack
		backspace = yes;
		cgEventDelay = 0.01;
		directEOL = "";
		wordJump = no;
		paraJump = yes;
	};
	"com.aschmid.notebooks03" = { // Notebooks 1.4.2 (for macOS 10.6.8)
		directString = 0;
	};
	// new in 8.0
	Cr24 = { // Brave Browser, com.brave.Browser [Web Browser]
		backspace = yes;
		useBsDelay = yes; // before Sierra
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
		{
			"focused element role IS" = "AXTextArea";
			"focused window IS" = "*Twitter";
			value = 0.1;
		}
		);
		cocoaText = no;
		wordJump = no;
		lineJump = no;
		directString = 0;
		terminatorDelay = 0.02;
		pasteDelay = 0.1;
		moveDelay = 0.1;
		optimizeExpansion = "special";
		extraRestoreDelay = 0.25;
	};
	"com.microsoft.edgemac" = { // Microsoft Edge [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
		{
			"focused element role IS" = "AXWindow";
			"focused window IS" = "*Twitter";
			value = 0.1;
		}
		);
		cocoaText = no;
		wordJump = no;
		lineJump = no;
		directString = 0;
		moveDelay = 0.2;
		pasteDelay = 0.1;
		terminatorDelay = 0.1;
		extraRestoreDelay = 0.25;
		optimizeExpansion = "special";
	};
	"com.microsoft.Edge.Canary" = { // Microsoft Edge - daily preview [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
		{
			"focused element role IS" = "AXWindow";
			"focused window IS" = "*Twitter";
			value = 0.1;
		}
		);
		cocoaText = no;
		wordJump = no;
		lineJump = no;
		directString = 0;
		moveDelay = 0.2;
		pasteDelay = 0.1;
		terminatorDelay = 0.1;
		extraRestoreDelay = 0.25;
		optimizeExpansion = "special";
	};
	"com.microsoft.Edge" = { // Microsoft Edge [Web Browser]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
		{
			"focused element role IS" = "AXWindow";
			"focused window IS" = "*Twitter";
			value = 0.1;
		}
		);
		cocoaText = no;
		wordJump = no;
		lineJump = no;
		directString = 0;
		moveDelay = 0.2;
		pasteDelay = 0.1;
		terminatorDelay = 0.1;
		extraRestoreDelay = 0.25;
		optimizeExpansion = "special";
	};
	"abnerworks.Typora" = { // Typora
		directString = 0;
		bsInterDelay = 0.05;
		wordJump = no;
		lineJump = yes;
	};
	"com.frontapp.Front" = { // Front
		directString = 0;
		wordJump = no;
		lineJump = yes;
	};
	"com.p5sys.jumpdesktop" = { // Jump Desktop
		directString = 0;
	};
	"com.p5sys.jumpdesktop-setapp" = { // Jump Desktop, Setapp
		directString = 0;
	};
	"com.cockos.LICEcap" = { // LICEcap
		bsPreDelay = 0.0; //0.0;
		bsInterDelay = 0.08; // 0.001;
		bsPostDelay = 0.3; // 0.04;
	};
	// new in 8.3
	"java.Wordfast Pro" = { // Wordfast Pro
		directString = 0;
	};
	// new in 8.4
	"com.nulana.remotixmacwild" = { // Remotix
		disabled = yes;
	};
	"com.readdle.smartemail-Mac" = { // Spark
		directString = 0;
		optimizeExpansion = "special"; // new in 8.7
	};
	"com.vmware.horizon" = { // VMware Horizon Client
		disabled = yes;
	};
	// new in 8.5
	"com.splashtop.stb.macosx" = { // Splashtop Business
		disabled = yes;
	};
	"com.2X.Client.Mac" = { // Parallels Client
		disabled = yes;
	};
	// new in 8.8
	"de.clipgrab.ClipGrab" = { // ClipGrab
		directString = 0;
	};
	"us.zoom.xos" = { // Zoom
		directString = 0;
	};
	"com.postbox-inc.postbox" = { // Postbox
		directString = 0;
		pasteFormattedTextView = no;
		formattedHTML = yes;
		waitEvent = no;
	};
	"ru.keepcoder.Telegram" = { // Telegram (App Store)
		optimizeExpansion = "special";
	};
	"org.telegram.desktop" = { // Telegram Lite
		directString = 0;
		optimizeExpansion = "special";
	};
	"com.toolbunch.KeyPad" = { // KeyPad
		disabled = yes;
	};
	"com.microsoft.edgemac" = { // Microsoft Edge [V 90]
		backspace = yes;
		keyBeforeBS = 18; // 18="1", 49=space
		delayBetweenKeyAndBS = (
		{
			"focused element role IS" = "AXWindow";
			"focused window IS" = "*Twitter";
			value = 0.1;
		}
		);
		cocoaText = no;
		wordJump = no;
		lineJump = yes;
		directString = 0;
		moveDelay = 0.2;
		pasteDelay = 0.1;
		terminatorDelay = 0.1;
		extraRestoreDelay = 0.25;
		optimizeExpansion = "special";
	};
	"com.parallels.*" = { // Parallels Desktop
		directString = 0;
		restoreClipboard = no;
		controlV = yes;
	};
	// new in 8.9
	"4d.com.Brief EnCounter.app" = { // Brief EnCounter 4D application
		directString = 0;
		pasteDelay = 0.5;
	};
	"com.edisonmail.edisonmail" = { // Edison Mail
		directEOL = "";
		directTab = no;
		wordJump = no;
		lineJump = yes;
	};
	"md.obsidian" = { // Obsidian
		wordJump = no;
		lineJump = yes;
	};
	// new in 8.10
	"net.cozic.joplin-desktop" = { // Joplin
		directString = 0;
	};
	"net.ankiweb.dtop" = { // Anki V2
		directString = 0;
	};
	// new in 8.11
	"com.apple.MobileSMS" = { // Messages (Big Sur)
		directString = 2; // new in 8.10
		directEOL = ""; // new in 8.10
		directTab = no; // new in 8.10
		optimizeExpansion = "special";
		wordJump = no; // new in 8.7
		moveDelay = 0.2; // new in 8.11
	};
	IICA = { // Citrix Viewer
		directString = 0;
		backspace = yes;
		restoreClipboard = no;
		wordJump = no;
	};
	// new in 8.12
	"tv.parsec.www" = { // Parsec
		disabled = yes;
	};
	"texstudio" = { // TeXstudio
		directString = 0;
	};
	"com.FormaGrid.Airtable" = { // Airtable
		directString = 0;
	};
	"com.teamviewer.TeamViewer" = { // TeamViewer
		directString = 10000;
		directStringDelay = 0.03;
	};
	// new in 8.14
	"com.red-sweater.fastscripts3" = { // FastScripts
		directString = 0;
	};
    // new in 9.0
    "com.utmapp.UTM" = { // UTM Virtual Machines
        disabled = yes;
    };
}
